@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
sio_hw_t Struct Reference
Collaboration diagram for sio_hw_t:
[legend]

## Data Fields

io_ro_32 | cpuid
io_ro_32 | gpio_in
io_ro_32 | gpio_hi_in
uint32_t | _pad0
io_rw_32 | gpio_out
io_wo_32 | gpio_set
io_wo_32 | gpio_clr
io_wo_32 | gpio_togl
io_rw_32 | gpio_oe
io_wo_32 | gpio_oe_set
io_wo_32 | gpio_oe_clr
io_wo_32 | gpio_oe_togl
io_rw_32 | gpio_hi_out
io_wo_32 | gpio_hi_set
io_wo_32 | gpio_hi_clr
io_wo_32 | gpio_hi_togl
io_rw_32 | gpio_hi_oe
io_wo_32 | gpio_hi_oe_set
io_wo_32 | gpio_hi_oe_clr
io_wo_32 | gpio_hi_oe_togl
io_rw_32 | fifo_st
io_wo_32 | fifo_wr
io_ro_32 | fifo_rd
io_ro_32 | spinlock_st
io_rw_32 | div_udividend
io_rw_32 | div_udivisor
io_rw_32 | div_sdividend
io_rw_32 | div_sdivisor
io_rw_32 | div_quotient
io_rw_32 | div_remainder
io_ro_32 | div_csr
uint32_t | _pad1
interp_hw_t | interp [2]
io_rw_32 | spinlock [32]

The documentation for this struct was generated from the following file:

- include/hardware/structs/sio.h